/*
	Copyright Jeroen Vreeken (pe1rxq@amsat.org), 2009
	Copyright Stichting C.A. Muller Radioastronomiestation, 2009

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <math.h>

#include <controller/controller_block.h>
#include <controller/controller_trace.h>
#include <controller/controller_sample.h>
#include <controller/controller_load.h>
#include <controller/controller_dumpdot.h>
#include "ec.h"
#include "block_ec.h"

int main(int argc, char **argv)
{
	controller_block_param_init();

	/* Create and link blocks */

	if (controller_load("ec_el_test.ctrl")) {
		printf("Could not create or link blocks\n");
		return 1;
	}


	controller_trace_server_start(10000, 30);

	controller_dumpdot("ec_el_test.dot");

	/* Start 'sample' */

	controller_block_sample_init();

#ifdef USE_ETHERCAT
	printf("Switching ethercat datagrams sample-synchronised mode\n");
	ec_datagram_sample_init(&controller_sample_context);
#endif

	printf("Starting sample thread\n");
	controller_sample_start();

	while (1) {
		sleep(15 * 60);
	}

	return 0;
}
