/*
	Copyright Jeroen Vreeken (pe1rxq@amsat.org), 2009, 2011
	Copyright Stichting C.A. Muller Radioastronomiestation, 2009, 2011

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */

#ifndef _INCLUDE_EC_ESC_ID_H_
#define _INCLUDE_EC_ESC_ID_H_

#include <esc.h>

struct esc_vendor {
	uint32_t vendorid;
	char *name;
};

#define esc_vendor_list_len (sizeof(esc_vendor_list)/sizeof(struct esc_vendor))

static struct esc_vendor esc_vendor_list[] = {
	{ ESC_ESI_VENDORID_BECKHOFF, "Beckhoff" },
};


struct esc_device {
	uint32_t vendorid;
	uint32_t productcode;
	char *name;
};

#define esc_device_list_len (sizeof(esc_device_list)/sizeof(struct esc_device))

static struct esc_device esc_device_list[] = {
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1002, "EL1002" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1004, "EL1004" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1008, "EL1008" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1012, "EL1012" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1014, "EL1014" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1018, "EL1018" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1024, "EL1024" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1034, "EL1034" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1084, "EL1084" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1088, "EL1088" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1094, "EL1094" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1098, "EL1098" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1104, "EL1104" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1114, "EL1114" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1124, "EL1124" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1134, "EL1134" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1144, "EL1144" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1202, "EL1202" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1252, "EL1252" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1262, "EL1262" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1702, "EL1702" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1712, "EL1712" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL1722, "EL1722" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2002, "EL2002" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2004, "EL2004" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2008, "EL2008" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2022, "EL2022" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2024, "EL2024" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2032, "EL2032" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2034, "EL2034" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2042, "EL2042" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2084, "EL2084" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2088, "EL2088" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2124, "EL2124" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2202, "EL2202" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2252, "EL2252" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2262, "EL2262" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2502, "EL2502" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2602, "EL2602" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2612, "EL2612" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2622, "EL2622" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2624, "EL2624" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2712, "EL2712" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2722, "EL2722" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL2732, "EL2732" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3001, "EL3001" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3002, "EL3002" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3004, "EL3004" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3008, "EL3008" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3041, "EL3041" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3042, "EL3042" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3044, "EL3044" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3048, "EL3048" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3051, "EL3051" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3052, "EL3052" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3054, "EL3054" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3058, "EL3058" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3061, "EL3061" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3062, "EL3062" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3064, "EL3064" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3068, "EL3068" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3102, "EL3102" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3112, "EL3112" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3122, "EL3122" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3124, "EL3124" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3142, "EL3142" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3152, "EL3152" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3162, "EL3162" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3201, "EL3201" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3202, "EL3202" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3204, "EL3204" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3311, "EL3311" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3312, "EL3312" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3314, "EL3314" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3351, "EL3351" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3403, "EL3403" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3602, "EL3602" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL3612, "EL3612" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4001, "EL4001" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4002, "EL4002" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4004, "EL4004" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4008, "EL4008" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4011, "EL4011" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4012, "EL4012" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4014, "EL4014" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4018, "EL4018" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4021, "EL4021" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4022, "EL4022" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4024, "EL4024" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4028, "EL4028" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4031, "EL4031" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4032, "EL4032" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4034, "EL4034" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4038, "EL4038" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4102, "EL4102" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4112, "EL4112" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4114, "EL4114" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4122, "EL4122" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4132, "EL4132" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL4134, "EL4134" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL5001, "EL5001" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL5101, "EL5101" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL5151, "EL5151" },
	{ ESC_ESI_VENDORID_BECKHOFF, ESC_ESI_PRODUCTCODE_BECKHOFF_EL7031, "EL7031" },
};

#endif /* _INCLUDE_EC_ESC_ID_H */
